'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var React = require('react');

var classNames = require('classnames');

var utilsCommons = require('@highlight-ui/utils-commons');

var button = require('@highlight-ui/button');

function _interopDefaultLegacy(e) {
  return e && typeof e === 'object' && 'default' in e ? e : {
    'default': e
  };
}

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var classNames__default = /*#__PURE__*/_interopDefaultLegacy(classNames);
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */


var __assign = function () {
  __assign = Object.assign || function __assign(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var styles = {
  "actionBar": "ActionBar-module__1wXtMQfF__v4-0-8",
  "inline": "ActionBar-module__3eilF_hV__v4-0-8",
  "fullWidth": "ActionBar-module__2knBO8uo__v4-0-8",
  "centerAlignedFlex": "ActionBar-module__2Dt3Bcsh__v4-0-8",
  "primaryAction": "ActionBar-module__36cMrIYr__v4-0-8"
};

var ActionBar = function (_a) {
  var primaryAction = _a.primaryAction,
      secondaryAction = _a.secondaryAction,
      information = _a.information,
      metadata = _a.metadata,
      className = _a.className,
      variant = _a.variant;
  var variantClassName = variant === 'full-width' ? styles.fullWidth : styles.inline;
  return React__default["default"].createElement("div", __assign({
    className: classNames__default["default"](styles.actionBar, variantClassName, className)
  }, utilsCommons.parseMetadata(metadata)), information && React__default["default"].createElement("div", {
    className: styles.centerAlignedFlex
  }, information), React__default["default"].createElement("div", {
    className: styles.centerAlignedFlex
  }, secondaryAction && secondaryAction.label && React__default["default"].createElement(button.Button, __assign({
    variant: "default",
    onClick: secondaryAction.onClick,
    buttonState: secondaryAction.buttonState
  }, utilsCommons.parseMetadata(secondaryAction.metadata)), secondaryAction.label), React__default["default"].createElement(button.Button, __assign({
    className: styles.primaryAction,
    variant: "primary",
    onClick: primaryAction.onClick,
    buttonState: primaryAction.buttonState
  }, utilsCommons.parseMetadata(primaryAction.metadata)), primaryAction.label)));
};

exports.ActionBar = ActionBar;
//# sourceMappingURL=index.js.map
